Support Questions
Find answers, ask questions, and share your expertise

HDP upgrade from 2.6.4 to 2.6.5 is it necessary to upgrade ambari to 2.6.2

Solved Go to solution

HDP upgrade from 2.6.4 to 2.6.5 is it necessary to upgrade ambari to 2.6.2

hi all


we are very confuse because un-consistence recommendation in hortonworks documents


from the link: ( https://docs.hortonworks.com/HDPDocuments/Ambari-2.6.2.2/bk_ambari-upgrade/content/upgrading_hdp_sta... )

we can see that: "It is strongly recommended that you first upgrade to Ambari 2.6.2 "


Note

Be sure to review the available HDP upgrade scenarios below. It is strongly recommended that you first upgrade to Ambari 2.6.2 before upgrading HDP unless otherwise noted. Ambari 2.6.2 supports patch and maintenance upgrades to HDP 2.6.5.x stack. After upgrading Ambari, be sure the cluster is operating normally and service checks are passing prior to attempting an HDP upgrade.

Ambari 2.6.2 does not support IOP-HDP migration. Customers migrating from IOP should use Ambari 2.6.1 to migrate IOP to HDP 2.6.4, then upgrade Ambari to 2.6.2 and use it to upgrade HDP 2.6.4 to HDP 2.6.5.



but from ( https://supportmatrix.hortonworks.com/ )


109709-capture.png



we can see that HDP - 2.6.5 can be installed on ambari 2.6.1 ( means that no need to upgrade to ambari 2.6.2.2 )


so who is right here?

can we install upgrade from 2.6.4 to 2.6.5 wihout upgrade ambari to 2.6.2.2?

Michael-Bronson
1 ACCEPTED SOLUTION

Accepted Solutions

Re: HDP upgrade from 2.6.4 to 2.6.5 is it necessary to upgrade ambari to 2.6.2

Super Mentor

@Michael Bronson

Both are correct (Supportmatrix and the Docs)

1. Supportmatrix is correct. Means you can run HDP 2.6.5 with Ambari 2.6.1/ 2.6.1.5 /2.6.2.0 / 2.6.2.2

2. The doc is also correct as it talks about a Best Recommendation:

It is strongly recommended that you first upgrade to Ambari 2.6.2 before upgrading HDP unless otherwise noted. Ambari 2.6.2 supports patch and maintenance upgrades to HDP 2.6.5.x stack.

If i will have to run HDP 2.6.5 then i will also go for latest ambari which supports HDP 2.6.5 (means Ambari 2.6.2.2). This is because with Ambari 2.6.2 we get patch and maintenance upgrades to HDP 2.6.5.x stack.


https://docs.hortonworks.com/HDPDocuments/Ambari-2.6.2.0/bk_ambari-upgrade-ppc/content/performing_a_...

Patch upgrade is supported only for clusters running HDP-2.6.4 and above.


So if you are running Ambari 2.6.1 (with HDP 2.6.5) then you will be laking a major feature of Ambari which can help you in performing patch upgrade. Thats the reason it is recommended to upgrade to Ambari 2.6.2 (ot better Ambari 2.6.2.2).


View solution in original post

3 REPLIES 3

Re: HDP upgrade from 2.6.4 to 2.6.5 is it necessary to upgrade ambari to 2.6.2

Super Mentor

@Michael Bronson

Both are correct (Supportmatrix and the Docs)

1. Supportmatrix is correct. Means you can run HDP 2.6.5 with Ambari 2.6.1/ 2.6.1.5 /2.6.2.0 / 2.6.2.2

2. The doc is also correct as it talks about a Best Recommendation:

It is strongly recommended that you first upgrade to Ambari 2.6.2 before upgrading HDP unless otherwise noted. Ambari 2.6.2 supports patch and maintenance upgrades to HDP 2.6.5.x stack.

If i will have to run HDP 2.6.5 then i will also go for latest ambari which supports HDP 2.6.5 (means Ambari 2.6.2.2). This is because with Ambari 2.6.2 we get patch and maintenance upgrades to HDP 2.6.5.x stack.


https://docs.hortonworks.com/HDPDocuments/Ambari-2.6.2.0/bk_ambari-upgrade-ppc/content/performing_a_...

Patch upgrade is supported only for clusters running HDP-2.6.4 and above.


So if you are running Ambari 2.6.1 (with HDP 2.6.5) then you will be laking a major feature of Ambari which can help you in performing patch upgrade. Thats the reason it is recommended to upgrade to Ambari 2.6.2 (ot better Ambari 2.6.2.2).


View solution in original post

Re: HDP upgrade from 2.6.4 to 2.6.5 is it necessary to upgrade ambari to 2.6.2

@jay - lets say - we upgrade from 2.6.4 to 2.6.5 without ambari upgrade ,

but then we decided to do the ambari upgrade to 2.6.2 while - HDP is now 2.6.5

is it possible ?




Michael-Bronson

Re: HDP upgrade from 2.6.4 to 2.6.5 is it necessary to upgrade ambari to 2.6.2

Super Mentor

@Michael Bronson
Yes, it is possible. But the strongly recommended approach will be to upgrade Ambari to 2.6.2.2 first and then upgrade HDP to 2.6.5.